Bug 2366 - Improve perl-URPM to work with multi-arch repositories
: Improve perl-URPM to work with multi-arch repositories
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 13:46 MSD by Denis Silakov
Modified: 2013-07-25 11:48 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
urpmi-debug-qt-creator.txt (532.96 KB, text/plain)
2013-07-23 14:45 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-07-22 13:46:02 MSD
It turned out that urpmi and rpmdrake sometimes behave incorrectly in case when both 32bit and 64bit repositories are enabled - if some dependency is provided by 32bit and 64bit package, then urpmi can sometimes select 32bit variant.
Comment 1 Denis Silakov 2013-07-22 14:00:35 MSD
Advisory:

perl-URPM (engine used by urpmi and rpmdrake) has been updated to always prefer a package whose architecture matches the system one. So if you install something that requires 'foo' on 64bit system and have packages foo1.i586 and foo1.x86_64 that provide 'foo', then urpmi should always select foo1.x86_64.

Build lists:

https://abf.rosalinux.ru/build_lists/1188364
https://abf.rosalinux.ru/build_lists/1188363


Note for testers:
It can be hard to find a stable reproducer for the issues which is supposed to be fixed by this bug. But it would be nice to check that everything works fine with this update - for example, check that a freshly installed system (from ISO) can be updated to the current state of repositories.
Comment 2 Vladimir Potapov 2013-07-22 18:07:42 MSD
Package route to extended testing
Comment 3 Postnikov Dmitry 2013-07-22 22:10:05 MSD
No.
==========
[root@localhost log]# urpmi.addmedia --update urpm2-perl http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188364/x86_64/main/release/
добавляется источник «urpm2-perl»
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188364/x86_64/main/release/media_info/synthesis.hdlist.cz
[root@localhost log]#                                                                                                                                 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# urpmi --auto-update
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
источник «urpm2-perl» уже обновлён
Пакеты rpm-5.4.10-12-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, perl-MDV-Packdrakeng-1.13-10-rosa2012.1.noarch, lib64rpm5.4-5.4.10-12-rosa2012.1.x86_64, lib64magic1-5.11-4-rosa2012.1.x86_64, lib64db5.2-5.2.42-1-rosa2012.1.x86_64, perl-5.14.2-8-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64 уже установлен
Для удовлетворения зависимостей будет установлен следующий пакет:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «urpm2-perl»)
 perl-URPM                      4.43         15            rosa  2012.1 x86_64 
Будет использовано 582Б дополнительного дискового пространства.
Будет загружено 136КБ пакетов.
Установить один пакет? (Y/n) y
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188364/x86_64/main/release/perl-URPM-4.43-15-rosa2012.1.x86_64.rpm
                                                                                                                                                      

устанавливается perl-URPM-4.43-15-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ####################################################################################################################
      1/1: perl-URPM             ####################################################################################################################
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# 
[root@localhost log]# urpmi qt-creator
Пакеты lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64xdmcp6-1.1.1-2-rosa2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, lib64xinerama1-1.1.3-4-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, qt4-common-4.8.5-3-rosa2012.1.x86_64, lib64xrandr2-1.4.0-1-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64qtcore4-4.8.5-3-rosa2012.1.x86_64, lib64qtsql4-4.8.5-3-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64glib2.0-devel-2.36.3-2-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64xau6-1.0.7-3-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, python-2.7.4-7-rosa2012.1.x86_64, lib64qtgui4-4.8.5-3-rosa2012.1.x86_64, lib64qtopengl4-4.8.5-3-rosa2012.1.x86_64, lib64qtnetwork4-4.8.5-3-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64dbus-1-devel-1.6.8-3-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64qtsvg4-4.8.5-3-rosa2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, lib64qtxml4-4.8.5-3-rosa2012.1.x86_64, lib64xcb-dri2_0-1.9.1-1-rosa2012.1.x86_64, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64, lib64qtdbus4-4.8.5-3-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64 уже установлен
Некоторые запрошенные пакеты не могут быть установлены:
lib64qt4-devel-4.8.5-3-rosa2012.1.x86_64 (из-за конфликтов с nvidia-current-cuda-opencl-310.19-3-rosa2012.1.x86_64)
nvidia-current-cuda-opencl-310.19-3-rosa2012.1.x86_64 (из-за неудовлетворённости libnvcuvid.so()(64bit))
qt4-designer-4.8.5-3-rosa2012.1.x86_64 (из-за неудовлетворённости lib64qt4-devel[== 4:4.8.5-3:2012.1])
Продолжить установку? (Y/n) n
==================================
Comment 4 Postnikov Dmitry 2013-07-22 22:19:04 MSD
Debug install...
http://pastebin.com/u6mvpvmg
Comment 5 Denis Silakov 2013-07-22 23:32:55 MSD
So here is the root of the failure:

"chosen nvidia-current-devel-310.19-3-rosa2012.1.x86_64 for devel(libGL(64bit))"

Ok, thanks, I'll try to fix it further (though this issue isn't caused by multiarch support - it was present in urpmi before this fix, see discussiop in the release-board mailing list).
Comment 6 Vladimir Potapov 2013-07-23 06:44:03 MSD
Hm.(In reply to comment #5)
> So here is the root of the failure:
> 
> "chosen nvidia-current-devel-310.19-3-rosa2012.1.x86_64 for
> devel(libGL(64bit))"
Hm. nvidia-current-devel-310.19-3 was sent to the repository without QA....
Comment 7 Denis Silakov 2013-07-23 10:07:32 MSD
(In reply to comment #6)
> Hm.(In reply to comment #5)
> > So here is the root of the failure:
> > 
> > "chosen nvidia-current-devel-310.19-3-rosa2012.1.x86_64 for
> > devel(libGL(64bit))"
> Hm. nvidia-current-devel-310.19-3 was sent to the repository without QA....

This is a version from the release (main/release). Main/updates contains nvidia-current-devel-319.17-9. The latter version doesn't provide devel(libGL), and it is an issue of urpmi which takes an older version from main/release.
Comment 8 Denis Silakov 2013-07-23 13:36:21 MSD
Let's try new build lists:

https://abf.rosalinux.ru/build_lists/1188566
https://abf.rosalinux.ru/build_lists/1188567

Note that we still have nvidia-long-lived providing devel(libGL) (bug #2362), this can lead to confusions if you launch urpmi with '--auto' option.
Comment 9 Postnikov Dmitry 2013-07-23 13:54:42 MSD
(In reply to comment #8)
> Let's try new build lists:
> 
> https://abf.rosalinux.ru/build_lists/1188566
> https://abf.rosalinux.ru/build_lists/1188567
> 
> Note that we still have nvidia-long-lived providing devel(libGL) (bug
> #2362), this can lead to confusions if you launch urpmi with '--auto' option.

No. Still drags nvidia...
====================
[root@localhost pastordi]# urpmi.addmedia --update urpm3-Perl http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188567/x86_64/main/release/
добавляется источник «urpm3-Perl»
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188567/x86_64/main/release/media_info/synthesis.hdlist.cz
[root@localhost pastordi]#                                                                                                              
[root@localhost pastordi]# urpmi --auto-update
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
источник «urpm3-Perl» уже обновлён
Пакеты glibc-2.15-8-rosa2012.1.x86_64, perl-MDV-Packdrakeng-1.13-10-rosa2012.1.noarch, lib64rpm5.4-5.4.10-12-rosa2012.1.x86_64, rpm-5.4.10-12-rosa2012.1.x86_64, lib64magic1-5.11-4-rosa2012.1.x86_64, lib64db5.2-5.2.42-1-rosa2012.1.x86_64, perl-5.14.2-8-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64 уже установлен
Для удовлетворения зависимостей будет установлен следующий пакет:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «urpm3-Perl»)
 perl-URPM                      4.43         16            rosa  2012.1 x86_64 
Будет использовано 887Б дополнительного дискового пространства.
Будет загружено 136КБ пакетов.
Установить один пакет? (Y/n) y
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1188567/x86_64/main/release/perl-URPM-4.43-16-rosa2012.1.x86_64.rpm
                                                                                                                                        

устанавливается perl-URPM-4.43-16-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ######################################################################################################
      1/1: perl-URPM             ######################################################################################################
[root@localhost pastordi]# 
[root@localhost pastordi]# 
[root@localhost pastordi]# 
[root@localhost pastordi]# urpmi qt-creator
Пакеты lib64gcrypt11-1.5.0-6-rosa2012.1.x86_64, lib64vorbisfile3-1.3.3-3-rosa2012.1.x86_64, findutils-4.5.10-2-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, lib64vdpau1-0.5-1-rosa2012.1.x86_64, lib64ogg0-1.3.1-1-rosa2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, dkms-2.0.19-29-rosa2012.1.noarch, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, lib64tiff5-4.0.3-1-rosa2012.1.x86_64, lib64gpg-error0-1.10-4-rosa2012.1.x86_64, pkgconfig-0.26-2-rosa2012.1.x86_64, lib64xtst6-1.2.2-2-rosa2012.1.x86_64, lib64avutil51-1.0.6-1plf-plf2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64sm6-1.2.1-1-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64openssl-devel-1.0.1c-1-rosa2012.1.x86_64, x11-server-common-1.13.3-1-rosa2012.1.x86_64, lib64ffmpeg54-1.0.6-1plf-plf2012.1.x86_64, lib64openssl1.0.0-1.0.1c-1-rosa2012.1.x86_64, lib64icuio49-49.1.1-2-rosa2012.1.x86_64, lib64gstdataprocol0.10_0-0.10.36-4-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64udev1-194-21-rosa2012.1.x86_64, lib64xxf86vm1-1.1.3-2-rosa2012.1.x86_64, lib64cap2-2.22-2-rosa2012.1.x86_64, lib64png15-1.5.13-1-rosa2012.1.x86_64, gcc-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64orc0.4_0-0.4.17-1-rosa2012.1.x86_64, lib64xcb-dri2_0-1.9.1-1-rosa2012.1.x86_64, lib64icule49-49.1.1-2-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64dbus-1-devel-1.6.8-3-rosa2012.1.x86_64, lib64dbus-1_3-1.6.8-3-rosa2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, lib64pango1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64gst-gir0.10-0.10.36-4-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, gettext-0.18.1.1-8-rosa2012.1.x86_64, lib64sqlite3-devel-3.7.16.1-1-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, perl-5.14.2-8-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, lib64json0-0.9-2-rosa2012.1.x86_64, lib64flac8-1.3.0-1-rosa2012.1.x86_64, lib64xml2-devel-2.9.1-1-rosa2012.1.x86_64, lib64xslt1-1.1.27-1-rosa2012.1.x86_64, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64gmodule2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64gtk+2.0_0-2.24.19-1-rosa2012.1.x86_64, lib64pth20-2.0.7-12-rosa2012.1.x86_64, lib64xdmcp6-1.1.1-2-rosa2012.1.x86_64, lib64gstcontroller0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64pcre16_0-8.31-4-rosa2012.1.x86_64, lib64stdc++-devel-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, python-pkg-resources-0.6.35-5-rosa2012.1.noarch, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64, lib64pcre-devel-8.31-4-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, lib64glib2.0-devel-2.36.3-2-rosa2012.1.x86_64, gstreamer0.10-plugins-base-0.10.36-2-rosa2012.1.x86_64, lib64gstnet0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64vorbis0-1.3.3-3-rosa2012.1.x86_64, lib64gstbase0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64xv1-1.0.9-1-rosa2012.1.x86_64, lib64sndfile1-1.0.25-5-rosa2012.1.x86_64, lib64xcomposite1-0.4.3-5-rosa2012.1.x86_64, lib64xau6-1.0.7-3-rosa2012.1.x86_64, lib64asyncns0-0.8-4-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64xvmc1-1.0.7-5-rosa2012.1.x86_64, lib64vorbisenc2-1.3.3-3-rosa2012.1.x86_64, lib64pulseglib20-3.0-6-rosa2012.1.x86_64, lib64pulseaudio0-3.0-6-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb-util1-0.3.9-2-rosa2012.1.x86_64, lib64ice6-1.0.8-3-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64wrap0-7.6-44-rosa2012.1.x86_64, lib64avformats54-1.0.6-1plf-plf2012.1.x86_64, lib64gio2.0_0-2.36.3-2-rosa2012.1.x86_64, update-alternatives-1.9.0-9-rosa2012.1.noarch, python-2.7.4-7-rosa2012.1.x86_64, lib64gstcheck0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gthread2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xi6-1.6.1-3-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64, lib64exslt0-1.1.27-1-rosa2012.1.x86_64 уже установлен
lib64gpg-error0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64icuio49 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64gstdataprocol0.10_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64icule49 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64gst-gir0.10 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
gettext помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64pth20 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64pcre16_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64pcre-devel помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
gstreamer0.10-plugins-base помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64gstnet0.10_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64xcomposite1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64asyncns0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64xcb-util1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64gstcheck0.10_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
writing /var/lib/rpm/installed-through-deps.list
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 lib64asyncns-devel             0.8          4             rosa  2012.1 x86_64 (рекомендуется)
 lib64cap-devel                 2.22         2             rosa  2012.1 x86_64 (рекомендуется)
 lib64gpg-error-devel           1.10         4             rosa  2012.1 x86_64 (рекомендуется)
 lib64gstreamer-plugins-base0.> 0.10.36      2             rosa  2012.1 x86_64 (рекомендуется)
 lib64gstreamer0.10-devel       0.10.36      4             rosa  2012.1 x86_64 (рекомендуется)
 lib64ice-devel                 1.0.8        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64icu-devel                 49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64iculx49                   49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64icutest49                 49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64icutu49                   49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64jpeg-devel                1.2.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64json-devel                0.9          2             rosa  2012.1 x86_64 (рекомендуется)
 lib64png-devel                 1.5.13       1             rosa  2012.1 x86_64 (рекомендуется)
 lib64sm-devel                  1.2.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64sndfile-devel             1.0.25       5             rosa  2012.1 x86_64 (рекомендуется)
 lib64vorbis-devel              1.3.3        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64wrap-devel                7.6          44            rosa  2012.1 x86_64 (рекомендуется)
 lib64xau-devel                 1.0.7        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-icccm4                0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-image0           0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-keysyms1         0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-renderutil0      0.3.8        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcomposite-devel          0.4.3        5             rosa  2012.1 x86_64 (рекомендуется)
 lib64xdmcp-devel               1.1.1        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xrender-devel             0.9.7        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xslt-devel                1.1.27       1             rosa  2012.1 x86_64 (рекомендуется)
 libpthread-stubs               0.3          4             rosa  2012.1 x86_64 (рекомендуется)
 perl-File-Slurp                9999.190.0   5             rosa  2012.1 noarch (рекомендуется)
 perl-YAML                      0.840.0      1             rosa  2012.1 noarch (рекомендуется)
 rpm-mandriva-setup-build       1.140        4             rosa  2012.1 noarch (рекомендуется)
 x11-proto-devel                7.6          12            rosa  2012.1 x86_64 (рекомендуется)
(источник «main updates»)
 lib64flac-devel                1.3.0        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64gcrypt-devel              1.5.0        6             rosa  2012.1 x86_64 (рекомендуется)
 lib64ogg-devel                 1.3.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64openal1                   1.15.1       1             rosa  2012.1 x86_64 
 lib64orc-devel                 0.4.17       1             rosa  2012.1 x86_64 (рекомендуется)
 lib64pulseaudio-devel          3.0          6             rosa  2012.1 x86_64 (рекомендуется)
 lib64qgsttools_p1              5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5bootstrap-devel        5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5clucene-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5clucene5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5concurrent-devel       5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5concurrent5            5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5core-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5core5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5dbus-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5dbus5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5declarative-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5declarative5           5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5designer-devel         5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5designer5              5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5designercomponents-de> 5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5designercomponents5    5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5gui-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5gui5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5gui5-x11               5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5help-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5help5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimedia-devel       5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5multimedia5            5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimediaquick_p5     5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimediawidgets-dev> 5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5multimediawidgets5     5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5network-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5network5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5opengl-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5opengl5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5printsupport-devel     5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5printsupport5          5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5qml-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5qml5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quick-devel            5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quick5                 5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quickparticles-devel   5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quickparticles5        5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quicktest-devel        5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quicktest5             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5script-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5script5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5scripttools-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5scripttools5           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sensors-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sensors5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5sql-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sql5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5svg-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5svg5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5test-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5test5                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5v8-devel               5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5v8_5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5webkit-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5webkit5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5webkitwidgets-devel    5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5webkitwidgets5         5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5widgets-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5widgets5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5x11extras5             5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5xml-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5xml5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5xmlpatterns-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5xmlpatterns5           5.1.0        10            rosa  2012.1 x86_64 
 lib64udev-devel                194          21            rosa  2012.1 x86_64 (рекомендуется)
 lib64vdpau-devel               0.5          1             rosa  2012.1 x86_64 (рекомендуется)
 lib64x11-devel                 1.6.0        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-composite0            1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-damage0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-devel                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-dpms0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-randr0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-record0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-res0                  1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-screensaver0          1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-sync0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xevie0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xf86dri0              1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xinerama0             1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xprint0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xtest0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xv0                   1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xvmc0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xext-devel                1.3.2        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xi-devel                  1.6.1        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64xtst-devel                1.2.2        2             rosa  2012.1 x86_64 (рекомендуется)
 openal                         1.15.1       1             rosa  2012.1 x86_64 
 orc                            0.4.17       1             rosa  2012.1 x86_64 (рекомендуется)
 perl-Test-Base                 0.600.0      6             rosa  2012.1 noarch (рекомендуется)
 qmake5                         5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt-creator                     2.8.0        1             rosa  2012.1 x86_64 
 qt-creator-doc                 2.8.0        1             rosa  2012.1 x86_64 (рекомендуется)
 qt4-doc                        4.8.5        3             rosa  2012.1 noarch (рекомендуется)
 qt5-assistant                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-designer                   5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-devel                      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-doc                        5.1.0        10            rosa  2012.1 noarch (рекомендуется)
 qt5-macros                     5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-qml-tools                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-qtcore-i18n                5.1.0        10            rosa  2012.1 noarch 
 qt5-qtdeclarative-i18n         5.1.0        10            rosa  2012.1 noarch 
 qt5-qtmultimedia-i18n          5.1.0        10            rosa  2012.1 noarch 
 qt5-qtscript-i18n              5.1.0        10            rosa  2012.1 noarch 
 qt5-style-cleanlooks           0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-motif                0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-plastique            0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-plugins              0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 spec-helper                    0.31.21      3             rosa  2012.1 noarch (рекомендуется)
(источник «Main32»)
 perl-JSON                      2.530.0      5             rosa  2012.1 noarch (рекомендуется)
 perl-Spiffy                    0.30         10            rosa  2012.1 noarch (рекомендуется)
(источник «Main32 Updates»)
 qt-creator-common              2.8.0        1             rosa  2012.1 noarch 
 qt5-qtquick-i18n               5.1.0        10            rosa  2012.1 noarch 
 qt5-qtxmlpatterns-i18n         5.1.0        10            rosa  2012.1 noarch 
(источник «non-free updates»)
 dkms-nvidia-long-lived         304.88       1             rosa  2012.1 x86_64 (рекомендуется)
 nvidia-long-lived-cuda-opencl  304.88       1             rosa  2012.1 x86_64 (рекомендуется)
 nvidia-long-lived-devel        304.88       1             rosa  2012.1 x86_64 (рекомендуется)
 nvidia-long-lived-doc-html     304.88       1             rosa  2012.1 x86_64 (рекомендуется)
 x11-driver-video-nvidia-long-> 304.88       1             rosa  2012.1 x86_64 (рекомендуется)
Будет использовано 812МБ дополнительного дискового пространства.
Будет загружено 297МБ пакетов.
Установить 156 пакетов? (Y/n) n
[root@localhost pastordi]#
========================
Comment 10 Denis Silakov 2013-07-23 14:02:36 MSD
as I said, you should publish nvidia-long-lived from bug #2362 first. Or just add containers from that bug to your system for test.
Comment 11 Postnikov Dmitry 2013-07-23 14:34:05 MSD
(In reply to comment #10)
> as I said, you should publish nvidia-long-lived from bug #2362 first. Or
> just add containers from that bug to your system for test.

No. :)
===============
[root@localhost pastordi]# urpmi.addmedia --update nvidia-long-lived http://abf-downloads.rosalinux.ru/rosa2012.1/container/1187288/x86_64/non-free/release/
добавляется источник «nvidia-long-lived»
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1187288/x86_64/non-free/release/media_info/synthesis.hdlist.cz
[root@localhost pastordi]#                                                                                                              
[root@localhost pastordi]# urpmi qt-creator
Пакеты lib64gobject2.0_0-2.36.3-2-rosa2012.1.x86_64, glib2.0-common-2.36.3-2-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, lib64xslt1-1.1.27-1-rosa2012.1.x86_64, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, glib-gettextize-2.36.3-2-rosa2012.1.x86_64, lib64gmodule2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, lib64pcre16_0-8.31-4-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64stdc++-devel-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, lib64tiff5-4.0.3-1-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, uClibc-0.9.33.2-12-rosa2012.1.x86_64, lib64pcre-devel-8.31-4-rosa2012.1.x86_64, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64, libc6-2.15-8-rosa2012.1.x86_64, python3-3.3.1-1-rosa2012.1.x86_64, lib64glib2.0-devel-2.36.3-2-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, lib64avutil51-1.0.6-1plf-plf2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64gstbase0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64ffmpeg54-1.0.6-1plf-plf2012.1.x86_64, libgcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64openssl1.0.0-1.0.1c-1-rosa2012.1.x86_64, lib64icuio49-49.1.1-2-rosa2012.1.x86_64, lib64xv1-1.0.9-1-rosa2012.1.x86_64, lib64xcomposite1-0.4.3-5-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64udev1-194-21-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64png15-1.5.13-1-rosa2012.1.x86_64, gcc-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64xcb-util1-0.3.9-2-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64pulseaudio0-3.0-6-rosa2012.1.x86_64, lib64icule49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64dbus-1_3-1.6.8-3-rosa2012.1.x86_64, lib64avformats54-1.0.6-1plf-plf2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, lib64gio2.0_0-2.36.3-2-rosa2012.1.x86_64, update-alternatives-1.9.0-9-rosa2012.1.noarch, libstdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gthread2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, lib64xi6-1.6.1-3-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64 уже установлен
Не удаётся установить запрошенный пакет:
x11-driver-video-nvidia173-173.14.37-2-rosa2012.1.i586 (из-за неудовлетворённости libGLcore.so.1)
Продолжить установку? (Y/n)
==============================
Comment 12 Denis Silakov 2013-07-23 14:39:26 MSD
Interesting, can't reproduce it in my 32bit machine, will take a look at 64bit soon.

Can you provide output of 'urpmi --debug qt-creator'?

Btw, do you have nvidia card in your machine?
Comment 13 Postnikov Dmitry 2013-07-23 14:45:24 MSD
Created attachment 1693 [details]
urpmi-debug-qt-creator.txt

Debug install attached.
No, i don't have nvidia card. At me ATI card.
Comment 14 Denis Silakov 2013-07-23 14:52:09 MSD
Ok, thanks. I've also reproduced this issue. Maybe I forgot to merge some changes from my experimental machine...
Comment 15 Denis Silakov 2013-07-23 14:55:52 MSD
Hm, interesting, this time it tries to install another nvidia package - nvidia173.

Could you try to add containers from bug #2363 where this package is fixed?
Comment 16 Postnikov Dmitry 2013-07-23 15:01:42 MSD
(In reply to comment #15)
> Hm, interesting, this time it tries to install another nvidia package -
> nvidia173.
> 
> Could you try to add containers from bug #2363 where this package is fixed?

Yes!. After add containers from bug 2363 help.
==================
[root@localhost pastordi]# urpmi.addmedia --update nvidia173 http://abf-downloads.rosalinux.ru/rosa2012.1/container/1187310/x86_64/non-free/release/
добавляется источник «nvidia173»
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1187310/x86_64/non-free/release/media_info/synthesis.hdlist.cz
[root@localhost pastordi]#                                                                                                              
[root@localhost pastordi]# urpmi --auto-update
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
источник «urpm3-Perl» уже обновлён
источник «nvidia-long-lived» уже обновлён
источник «nvidia173» уже обновлён
Пакеты находятся в актуальном состоянии
[root@localhost pastordi]# 
[root@localhost pastordi]# urpmi qt-creator
Пакеты lib64gcrypt11-1.5.0-6-rosa2012.1.x86_64, lib64vorbisfile3-1.3.3-3-rosa2012.1.x86_64, findutils-4.5.10-2-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, lib64ogg0-1.3.1-1-rosa2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, lib64ffi5-devel-3.0.9-6.1-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, lib64tiff5-4.0.3-1-rosa2012.1.x86_64, lib64gpg-error0-1.10-4-rosa2012.1.x86_64, pkgconfig-0.26-2-rosa2012.1.x86_64, lib64xtst6-1.2.2-2-rosa2012.1.x86_64, lib64avutil51-1.0.6-1plf-plf2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64sm6-1.2.1-1-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64openssl-devel-1.0.1c-1-rosa2012.1.x86_64, lib64ffmpeg54-1.0.6-1plf-plf2012.1.x86_64, lib64openssl1.0.0-1.0.1c-1-rosa2012.1.x86_64, lib64icuio49-49.1.1-2-rosa2012.1.x86_64, lib64kms1-2.4.40-1-rosa2012.1.x86_64, lib64gstdataprocol0.10_0-0.10.36-4-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64udev1-194-21-rosa2012.1.x86_64, lib64xxf86vm1-1.1.3-2-rosa2012.1.x86_64, lib64cap2-2.22-2-rosa2012.1.x86_64, lib64png15-1.5.13-1-rosa2012.1.x86_64, lib64xfixes3-5.0-4-rosa2012.1.x86_64, lib64llvm3.1-3.1-2-rosa2012.1.x86_64, gcc-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64orc0.4_0-0.4.17-1-rosa2012.1.x86_64, lib64drm_intel1-2.4.40-1-rosa2012.1.x86_64, lib64xcb-dri2_0-1.9.1-1-rosa2012.1.x86_64, lib64icule49-49.1.1-2-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64dbus-1-devel-1.6.8-3-rosa2012.1.x86_64, lib64dbus-1_3-1.6.8-3-rosa2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, lib64gst-gir0.10-0.10.36-4-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, gettext-0.18.1.1-8-rosa2012.1.x86_64, lib64sqlite3-devel-3.7.16.1-1-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, perl-5.14.2-8-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, lib64json0-0.9-2-rosa2012.1.x86_64, lib64drm_nouveau2-2.4.40-1-rosa2012.1.x86_64, lib64flac8-1.3.0-1-rosa2012.1.x86_64, lib64xml2-devel-2.9.1-1-rosa2012.1.x86_64, lib64xslt1-1.1.27-1-rosa2012.1.x86_64, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64gmodule2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64pth20-2.0.7-12-rosa2012.1.x86_64, lib64xdmcp6-1.1.1-2-rosa2012.1.x86_64, lib64drm2-2.4.40-1-rosa2012.1.x86_64, lib64gstcontroller0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64pcre16_0-8.31-4-rosa2012.1.x86_64, lib64stdc++-devel-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, python-pkg-resources-0.6.35-5-rosa2012.1.noarch, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64, lib64pcre-devel-8.31-4-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, lib64glib2.0-devel-2.36.3-2-rosa2012.1.x86_64, gstreamer0.10-plugins-base-0.10.36-2-rosa2012.1.x86_64, lib64pciaccess0-0.13.1-2-rosa2012.1.x86_64, lib64gstnet0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64vorbis0-1.3.3-3-rosa2012.1.x86_64, lib64gstbase0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64drm_radeon1-2.4.40-1-rosa2012.1.x86_64, lib64xdamage1-1.1.3-4-rosa2012.1.x86_64, lib64xv1-1.0.9-1-rosa2012.1.x86_64, lib64sndfile1-1.0.25-5-rosa2012.1.x86_64, lib64xcomposite1-0.4.3-5-rosa2012.1.x86_64, lib64xau6-1.0.7-3-rosa2012.1.x86_64, lib64asyncns0-0.8-4-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64vorbisenc2-1.3.3-3-rosa2012.1.x86_64, lib64pulseglib20-3.0-6-rosa2012.1.x86_64, lib64pulseaudio0-3.0-6-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xcb-util1-0.3.9-2-rosa2012.1.x86_64, lib64glapi0-9.0.1-3-rosa2012.1.x86_64, lib64ice6-1.0.8-3-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64wrap0-7.6-44-rosa2012.1.x86_64, lib64avformats54-1.0.6-1plf-plf2012.1.x86_64, lib64gio2.0_0-2.36.3-2-rosa2012.1.x86_64, python-2.7.4-7-rosa2012.1.x86_64, lib64gstcheck0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gthread2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xi6-1.6.1-3-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64, lib64exslt0-1.1.27-1-rosa2012.1.x86_64 уже установлен
lib64ffi5-devel помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64kms1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64llvm3.1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64drm_intel1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64drm_nouveau2 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64drm2 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64pciaccess0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64drm_radeon1 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
writing /var/lib/rpm/installed-through-deps.list
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 lib64asyncns-devel             0.8          4             rosa  2012.1 x86_64 (рекомендуется)
 lib64cap-devel                 2.22         2             rosa  2012.1 x86_64 (рекомендуется)
 lib64drm-devel                 2.4.40       1             rosa  2012.1 x86_64 (рекомендуется)
 lib64gpg-error-devel           1.10         4             rosa  2012.1 x86_64 (рекомендуется)
 lib64gstreamer-plugins-base0.> 0.10.36      2             rosa  2012.1 x86_64 (рекомендуется)
 lib64gstreamer0.10-devel       0.10.36      4             rosa  2012.1 x86_64 (рекомендуется)
 lib64ice-devel                 1.0.8        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64icu-devel                 49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64iculx49                   49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64icutest49                 49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64icutu49                   49.1.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64jpeg-devel                1.2.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64json-devel                0.9          2             rosa  2012.1 x86_64 (рекомендуется)
 lib64llvm-devel                3.1          2             rosa  2012.1 x86_64 (рекомендуется)
 lib64pciaccess-devel           0.13.1       2             rosa  2012.1 x86_64 (рекомендуется)
 lib64png-devel                 1.5.13       1             rosa  2012.1 x86_64 (рекомендуется)
 lib64sm-devel                  1.2.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64sndfile-devel             1.0.25       5             rosa  2012.1 x86_64 (рекомендуется)
 lib64vorbis-devel              1.3.3        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64wrap-devel                7.6          44            rosa  2012.1 x86_64 (рекомендуется)
 lib64xau-devel                 1.0.7        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-icccm4                0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-image0           0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-keysyms1         0.3.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-util-renderutil0      0.3.8        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcomposite-devel          0.4.3        5             rosa  2012.1 x86_64 (рекомендуется)
 lib64xdamage-devel             1.1.3        4             rosa  2012.1 x86_64 (рекомендуется)
 lib64xdmcp-devel               1.1.1        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xfixes-devel              5.0          4             rosa  2012.1 x86_64 (рекомендуется)
 lib64xrender-devel             0.9.7        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xslt-devel                1.1.27       1             rosa  2012.1 x86_64 (рекомендуется)
 libpthread-stubs               0.3          4             rosa  2012.1 x86_64 (рекомендуется)
 llvm                           3.1          2             rosa  2012.1 x86_64 (рекомендуется)
 perl-File-Slurp                9999.190.0   5             rosa  2012.1 noarch (рекомендуется)
 perl-YAML                      0.840.0      1             rosa  2012.1 noarch (рекомендуется)
 rpm-mandriva-setup-build       1.140        4             rosa  2012.1 noarch (рекомендуется)
 x11-proto-devel                7.6          12            rosa  2012.1 x86_64 (рекомендуется)
(источник «main updates»)
 lib64flac-devel                1.3.0        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64gcrypt-devel              1.5.0        6             rosa  2012.1 x86_64 (рекомендуется)
 lib64gl-devel                  9.0.1        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64glapi-devel               9.0.1        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64ogg-devel                 1.3.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64openal1                   1.15.1       1             rosa  2012.1 x86_64 
 lib64orc-devel                 0.4.17       1             rosa  2012.1 x86_64 (рекомендуется)
 lib64pulseaudio-devel          3.0          6             rosa  2012.1 x86_64 (рекомендуется)
 lib64qgsttools_p1              5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5bootstrap-devel        5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5clucene-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5clucene5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5concurrent-devel       5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5concurrent5            5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5core-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5core5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5dbus-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5dbus5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5declarative-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5declarative5           5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5designer-devel         5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5designer5              5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5designercomponents-de> 5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5designercomponents5    5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5gui-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5gui5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5gui5-x11               5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5help-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5help5                  5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimedia-devel       5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5multimedia5            5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimediaquick_p5     5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5multimediawidgets-dev> 5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5multimediawidgets5     5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5network-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5network5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5opengl-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5opengl5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5printsupport-devel     5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5printsupport5          5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5qml-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5qml5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quick-devel            5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quick5                 5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quickparticles-devel   5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quickparticles5        5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5quicktest-devel        5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5quicktest5             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5script-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5script5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5scripttools-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5scripttools5           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sensors-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sensors5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5sql-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5sql5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5svg-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5svg5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5test-devel             5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5test5                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5v8-devel               5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5v8_5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5webkit-devel           5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5webkit5                5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5webkitwidgets-devel    5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5webkitwidgets5         5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5widgets-devel          5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5widgets5               5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5x11extras5             5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5xml-devel              5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5xml5                   5.1.0        10            rosa  2012.1 x86_64 
 lib64qt5xmlpatterns-devel      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 lib64qt5xmlpatterns5           5.1.0        10            rosa  2012.1 x86_64 
 lib64udev-devel                194          21            rosa  2012.1 x86_64 (рекомендуется)
 lib64x11-devel                 1.6.0        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-composite0            1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-damage0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-devel                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-dpms0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-randr0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-record0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-res0                  1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-screensaver0          1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-sync0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xevie0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xf86dri0              1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xinerama0             1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xprint0               1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xtest0                1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xv0                   1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xcb-xvmc0                 1.9.1        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xext-devel                1.3.2        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xi-devel                  1.6.1        3             rosa  2012.1 x86_64 (рекомендуется)
 lib64xtst-devel                1.2.2        2             rosa  2012.1 x86_64 (рекомендуется)
 lib64xv-devel                  1.0.9        1             rosa  2012.1 x86_64 (рекомендуется)
 lib64xxf86vm-devel             1.1.3        2             rosa  2012.1 x86_64 (рекомендуется)
 openal                         1.15.1       1             rosa  2012.1 x86_64 
 orc                            0.4.17       1             rosa  2012.1 x86_64 (рекомендуется)
 perl-Test-Base                 0.600.0      6             rosa  2012.1 noarch (рекомендуется)
 qmake5                         5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt-creator                     2.8.0        1             rosa  2012.1 x86_64 
 qt-creator-doc                 2.8.0        1             rosa  2012.1 x86_64 (рекомендуется)
 qt4-doc                        4.8.5        3             rosa  2012.1 noarch (рекомендуется)
 qt5-assistant                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-designer                   5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-devel                      5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-doc                        5.1.0        10            rosa  2012.1 noarch (рекомендуется)
 qt5-macros                     5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-qml-tools                  5.1.0        10            rosa  2012.1 x86_64 (рекомендуется)
 qt5-qtcore-i18n                5.1.0        10            rosa  2012.1 noarch 
 qt5-qtdeclarative-i18n         5.1.0        10            rosa  2012.1 noarch 
 qt5-qtmultimedia-i18n          5.1.0        10            rosa  2012.1 noarch 
 qt5-qtscript-i18n              5.1.0        10            rosa  2012.1 noarch 
 qt5-style-cleanlooks           0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-motif                0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-plastique            0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 qt5-style-plugins              0            0.20130213.2  rosa  2012.1 x86_64 (рекомендуется)
 spec-helper                    0.31.21      3             rosa  2012.1 noarch (рекомендуется)
(источник «Main32»)
 perl-JSON                      2.530.0      5             rosa  2012.1 noarch (рекомендуется)
 perl-Spiffy                    0.30         10            rosa  2012.1 noarch (рекомендуется)
(источник «Main32 Updates»)
 qt-creator-common              2.8.0        1             rosa  2012.1 noarch 
 qt5-qtquick-i18n               5.1.0        10            rosa  2012.1 noarch 
 qt5-qtxmlpatterns-i18n         5.1.0        10            rosa  2012.1 noarch 
Будет использовано 662МБ дополнительного дискового пространства.
Будет загружено 260МБ пакетов.
Установить 160 пакетов? (Y/n) n
[root@localhost pastordi]#
=======================
Comment 17 Denis Silakov 2013-07-23 15:03:26 MSD
Ok, thanks!

And indeed, I forgot to merge one fix. I'll provide new build lists soon, so 'urpmi qt-creator' (without --auto) in you situation without new containers will ask you which package to select - lib64gl, nvidia173 or nvidia-long-lived.
Comment 18 Denis Silakov 2013-07-23 15:10:18 MSD
New build lists:

https://abf.rosalinux.ru/build_lists/1188587
https://abf.rosalinux.ru/build_lists/1188588

With new nvidia containers attached, there should be no problems at all. Wi thout updated nvidia and without '--auto' option "urpmi qt-creator" should ask you for a choice between lib64gl-devel and nvidia.

But "urpmi --auto qt-creator" is not guaranteed to make a proper choice, we should fix nvidia packages to avoid confusions in such case.
Comment 19 Aleksandr Kazantcev 2013-07-23 15:16:16 MSD
All nvidia package fixed and need be pushed to repo (as a fglrx)...
Comment 20 Postnikov Dmitry 2013-07-23 22:37:14 MSD
(In reply to comment #18)
> New build lists:
> 
> https://abf.rosalinux.ru/build_lists/1188587
> https://abf.rosalinux.ru/build_lists/1188588
> 
> With new nvidia containers attached, there should be no problems at all. Wi
> thout updated nvidia and without '--auto' option "urpmi qt-creator" should
> ask you for a choice between lib64gl-devel and nvidia.
> 
> But "urpmi --auto qt-creator" is not guaranteed to make a proper choice, we
> should fix nvidia packages to avoid confusions in such case.

urpmi qt-creator, yes ask me for a choice between lib64gl and nvidia. But and Urpmi gimp also ask me for a choice betwin lib64jpg and lib64jpeg62.
I have all put. But somehow the rest of the testers write to me that they still requires nvidia.
Comment 21 Aleksandr Kazantcev 2013-07-24 11:16:36 MSD
Nvidia long lived not publish! Publish it first before test.
Comment 22 Postnikov Dmitry 2013-07-24 20:24:23 MSD
Not install opencv-devel...
========================
[root@localhost pastordi]# urpmi opencv-devel
Для удовлетворения зависимости «devel(libraw1394(64bit))» нужен один из следующих пакетов:
 1- lib64raw1394-devel-2.0.8-2-rosa2012.1.x86_64: Development and include files for libraw1394 (для установки)
 2- lib64raw1394_8-devel-1.3.0-8-rosa2012.1.x86_64: Development and include files for libraw1394 (для установки)
Ваш выбор? (1-2) 2
Для удовлетворения зависимости «devel(libusb-1.0(64bit))» нужен один из следующих пакетов:
 1- lib64usb1.0-devel-1.0.9-2-rosa2012.1.x86_64: Development files for libusb (для установки)
 2- lib64usbx1.0-devel-1.0.15-1-rosa2012.1.x86_64: Development files for libusbx (для установки)
Ваш выбор? (1-2) 2
Для удовлетворения зависимости «devel(libjpeg(64bit))» нужен один из следующих пакетов:
 1- lib64jpeg-devel-1.2.1-1-rosa2012.1.x86_64: Development tools for programs which will use the libjpeg library (для установки)
 2- lib64jpeg62-devel-6b-47-rosa2012.1.x86_64: Development tools for programs which will use the libjpeg library (для установки)
Ваш выбор? (1-2) 2
Пакеты findutils-4.5.10-2-rosa2012.1.x86_64, lib64cairo2-1.12.14-1-rosa2012.1.x86_64, lib64xcb-shm0-1.9.1-1-rosa2012.1.x86_64, gdk-pixbuf2.0-2.28.2-1-rosa2012.1.x86_64, lib64gstreamer-plugins-base0.10-0.10.36-2-rosa2012.1.x86_64, lib64pangocairo1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64z-devel-1.2.7-3-rosa2012.1.x86_64, lib64OpenEXR6-1.7.0-4-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64tiff5-4.0.3-1-rosa2012.1.x86_64, lib64x11-xcb1-1.6.0-2-rosa2012.1.x86_64, pkgconfig-0.26-2-rosa2012.1.x86_64, lib64xrender1-0.9.7-2-rosa2012.1.x86_64, lib64gmodule2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64orc0.4_0-0.4.17-1-rosa2012.1.x86_64, glib2.0-common-2.36.3-2-rosa2012.1.x86_64, lib64opencv_imgproc2-2.4.2-1-rosa2012.1.x86_64, lib64v4l0-0.8.8-2-rosa2012.1.x86_64, lib64icuio49-49.1.1-2-rosa2012.1.x86_64, lib64pcreposix1-8.31-4-rosa2012.1.x86_64, libxml2-utils-2.9.1-1-rosa2012.1.x86_64, lib64kms1-2.4.40-1-rosa2012.1.x86_64, lib64gstdataprocol0.10_0-0.10.36-4-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64dc1394_22-2.1.3-5-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xxf86vm1-1.1.3-2-rosa2012.1.x86_64, lib64xinerama1-1.1.3-4-rosa2012.1.x86_64, lib64png15-1.5.13-1-rosa2012.1.x86_64, lib64xfixes3-5.0-4-rosa2012.1.x86_64, gcc-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64llvm3.1-3.1-2-rosa2012.1.x86_64, lib64drm_intel1-2.4.40-1-rosa2012.1.x86_64, lib64icule49-49.1.1-2-rosa2012.1.x86_64, lib64pixman1_0-0.28.2-1-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64xcb-render0-1.9.1-1-rosa2012.1.x86_64, lib64gobject2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xcb1-1.9.1-1-rosa2012.1.x86_64, lib64gst-gir0.10-0.10.36-4-rosa2012.1.x86_64, lib64gstreamer0.10_0-0.10.36-4-rosa2012.1.x86_64, gettext-0.18.1.1-8-rosa2012.1.x86_64, lib64xcb-damage0-1.9.1-1-rosa2012.1.x86_64, lib64ilmbase6-1.0.2-5-rosa2012.1.x86_64, lib64pango1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64xi6-1.6.1-3-rosa2012.1.x86_64, lib64opencv_core2-2.4.2-1-rosa2012.1.x86_64, lib64gtk-gir2.0-2.24.19-1-rosa2012.1.x86_64, lib64glapi0-9.0.1-3-rosa2012.1.x86_64, perl-5.14.2-8-rosa2012.1.x86_64, lib64drm_nouveau2-2.4.40-1-rosa2012.1.x86_64, lib64icui18n49-49.1.1-2-rosa2012.1.x86_64, lib64ffi5-3.0.9-6.1-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, lib64pangoxft1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64xdmcp6-1.1.1-2-rosa2012.1.x86_64, lib64drm2-2.4.40-1-rosa2012.1.x86_64, lib64gstcontroller0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64xft2-2.3.1-2-rosa2012.1.x86_64, python-pkg-resources-0.6.35-5-rosa2012.1.noarch, gobject-introspection-1.36.0-2-rosa2012.1.x86_64, lib64harfbuzz0-0.9.9-1-rosa2012.1.x86_64, python3-3.3.1-1-rosa2012.1.x86_64, lib64pango-gir1.0-1.34.1-1-rosa2012.1.x86_64, lib64stdc++-devel-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64xrandr2-1.4.0-1-rosa2012.1.x86_64, lib64xcursor1-1.1.14-2-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, lib64atk-gir1.0-2.8.0-1-rosa2012.1.x86_64, lib64usbx1.0_0-1.0.15-1-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, gstreamer0.10-plugins-base-0.10.36-2-rosa2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64jasper1-1.900.1-15-rosa2012.1.x86_64, lib64pciaccess0-0.13.1-2-rosa2012.1.x86_64, lib64gstnet0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64xcb-glx0-1.9.1-1-rosa2012.1.x86_64, lib64gstbase0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64drm_radeon1-2.4.40-1-rosa2012.1.x86_64, lib64xdamage1-1.1.3-4-rosa2012.1.x86_64, lib64gtk+2.0_0-2.24.19-1-rosa2012.1.x86_64, lib64xcomposite1-0.4.3-5-rosa2012.1.x86_64, lib64xau6-1.0.7-3-rosa2012.1.x86_64, lib64fontconfig1-2.10.93-2plf-plf2012.1.x86_64, lib64xext6-1.3.2-2-rosa2012.1.x86_64, python-2.7.4-7-rosa2012.1.x86_64, lib64x11_6-1.6.0-2-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64xv1-1.0.9-1-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64pangoft2_1.0_0-1.34.1-1-rosa2012.1.x86_64, lib64jbig1-2.0-9-rosa2012.1.x86_64, lib64gio2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64lzma5-5.0.4-2-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, lib64gstcheck0.10_0-0.10.36-4-rosa2012.1.x86_64, lib64gthread2.0_0-2.36.3-2-rosa2012.1.x86_64, lib64xcb-xfixes0-1.9.1-1-rosa2012.1.x86_64, lib64xcb-dri2_0-1.9.1-1-rosa2012.1.x86_64, lib64glu1-9.0.0-2-rosa2012.1.x86_64, lib64xcb-shape0-1.9.1-1-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64, lib64gdk_pixbuf-gir2.0-2.28.2-1-rosa2012.1.x86_64, lib64atk1.0_0-2.8.0-1-rosa2012.1.x86_64, lib64pcre1-8.31-4-rosa2012.1.x86_64 уже установлен
Не удаётся установить запрошенный пакет:
lib64jpeg62-devel-6b-47-rosa2012.1.x86_64 (из-за неудовлетворённости lib64jpeg62-6b-47-rosa2012.1.x86_64)
Продолжить установку? (Y/n) n
Хоть часть пакетов и могла быть установлена, произошли ошибки.
Не удаётся установить запрошенный пакет:
lib64jpeg62-devel-6b-47-rosa2012.1.x86_64 (из-за неудовлетворённости lib64jpeg62-6b-47-rosa2012.1.x86_64)
[root@localhost pastordi]#
===================================
Comment 23 Alexander Burmashev 2013-07-24 21:14:57 MSD
We had a problem with iso building.
kmod(nouvaeu) required a wrong kernel
chosen kernel-nrj-netbook-3.8.12-2rosa-1-1-rosa2012.1.x86_64 for kmod(nouveau)
and kernel-nrj-netbook was pulled into the chroot without taking in account that kernel-nrj-desktop with a proper provide was already in the package list to install.

After updating to perl-URPM from this update request the problem was fixed. I consider this update as a high priority to publish.
Comment 24 Denis Silakov 2013-07-24 22:38:32 MSD
(In reply to comment #22)
> Not install opencv-devel...

Yes, I can reproduce this. But I'd say this is an issue with repositories - the thing is that we have two packages with lib64jpeg62 name:

 main/release/lib64jpeg62-1.2.1-1-rosa2012.1.x86_64.rpm
 contrib/release/lib64jpeg62-6b-47-rosa2012.1.x86_64.rpm

and two devel package for them, but these packages have different names - lib64jpeg-devel and lib64jpeg62-devel.

This is not ok...

lib64jpeg62-1.2.1 has Epoch==1 so it is considered to be newer by urpmi. And with the new behavior, urpmi refuses to install older lib64jpeg62-6b-47 since newer lib64jpeg62-1.2.1 is available in repositories.

Ideally, urpmi should also refuse to install older devel package; but devel packages have different names, so urpmi doesn't even compare them...

I think this is a separate issue. Maybe we should improve urpmi to handle such cases somehow, or maybe we should fix packages in repositories. I suggest to create a separate bug for that issue and publish perl-URPM from this bug, since it already fixes a lot of more significant bugs.
Comment 25 Denis Silakov 2013-07-24 22:39:51 MSD
Meanwhile, 'urpmi --auto opencv-devel' should work fine, so this won't break ABF builds. And rpmdrake for most users should work fine, since now it uses '--auto' by default.
Comment 26 Alexander Burmashev 2013-07-24 22:45:41 MSD
I can confirm that all ISO build scripts also use --auto by default.
Comment 27 Vladimir Potapov 2013-07-25 11:46:34 MSD
perl-URPM-4.43-17-rosa2012.1
********************** Advisory ******************
perl-URPM (engine used by urpmi and rpmdrake) has been updated to always prefer a package whose architecture matches the system one. So if you install something that requires 'foo' on 64bit system and have packages foo1.i586 and foo1.x86_64 that provide 'foo', then urpmi should always select foo1.x86_64.
**************************************************
QA Verified